package com.spring;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.spring.model.Message;

public class AppMain {

	public static void main(String[] args) {

		ApplicationContext ac = new ClassPathXmlApplicationContext("prototype-bean.xml");

		Message message1 = ac.getBean("messageServ", Message.class);

		// Setting the object properties.
		message1.setId(1001);
		message1.setMessage("Hello world!");

		System.out.println(message1.toString());

		// Retrieve it again.
		Message message2 = ac.getBean("messageServ", Message.class);
		System.out.println(message2.toString());

		// Closing the context object.
		((AbstractApplicationContext)ac).close();
	}
}